Next: Directives-i860, Previous: Notes-i860, Up: i860-Dependent [Contents][Index]

#### 9.16.2 i860 Command-line Options

#### 9.16.2.1 SVR4 compatibility options

`-V`

  Print assembler version.

`-Qy`

  Ignored.

`-Qn`

  Ignored.

#### 9.16.2.2 Other options

`-EL`

  Select little endian output (this is the default).

`-EB`

  Select big endian output. Note that the i860 always reads instructions as little endian data, so this option only effects data and not instructions.

`-mwarn-expand`

  Emit a warning message if any pseudo-instruction expansions occurred. For example, a `or` instruction with an immediate larger than 16-bits will be expanded into two instructions. This is a very undesirable feature to rely on, so this flag can help detect any code where it happens. One use of it, for instance, has been to find and eliminate any place where `gcc` may emit these pseudo-instructions.

`-mxp`

  Enable support for the i860XP instructions and control registers. By default, this option is disabled so that only the base instruction set (i.e., i860XR) is supported.

`-mintel-syntax`

  The i860 assembler defaults to AT&T/SVR4 syntax. This option enables the Intel syntax.